rowwise {dplyr} | R Documentation

## Group input by rows

### Description

### Usage

    rowwise(data)

### Arguments

`data` | Input data frame.

### Details

See this repository for alternative ways to perform row-wise operations

`rowwise()` is used for the results of `do()` when you create list-variables. It is also useful to support arbitrary complex operations that need to be applied to each row.

Currently, rowwise grouping only works with data frames. Its main impact is to allow you to work with list-variables in `summarise()` and `mutate()` without having to use `[[1]]`. This makes `summarise()` on a rowwise tbl effectively equivalent to `plyr::ldply()`.

### Examples

    df <- expand.grid(x = 1:3, y = 3:1)
    df_done <- df %>% rowwise() %>% do(i = seq(.$x, .$y))
    df_done
    df_done %>% summarise(n = length(i))

[Package dplyr version 0.8.0.1 Index]